> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Payments

Get all individual payments for a specific bulk payment batch.


## OpenAPI

````yaml GET /api/v3/dashboard/bulk-payments/api/batches/{batchId}/payments
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/dashboard/bulk-payments/api/batches/{batchId}/payments:
    get:
      tags:
        - API Bulk Payments
      summary: Get payments for a specific batch
      operationId: ApiBulkPaymentsController_getBatchPayments_api/v3
      parameters:
        - name: batchId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: Items per page
          schema:
            type: number
        - name: status
          required: false
          in: query
          description: Filter by status
          schema:
            type: string
        - name: currency
          required: false
          in: query
          description: Filter by currency
          schema:
            type: string
            enum:
              - KES
              - GHS
              - NGN
              - ZAR
              - ZAR
              - USD
              - XOF
              - ZMW
              - XAF
              - SLE
              - CDF
              - TZS
              - UGX
              - EGP
              - MWK
              - RWF
              - ETB
              - MZN
              - LSL
              - GNF
              - USDT
              - BTC
              - ETH
              - USDC
      responses:
        '200':
          description: Batch payments retrieved successfully
      security:
        - bearer: []
components: {}

````